/*----------------------------------------------------------------------+
|									|
|  Copyright (1995) Bentley Systems, Inc., All rights reserved.		|
|									|
|  "MicroStation", "MDL", and "MicroCSL" are trademarks of Bentley	|
|  Systems, Inc.							|
|									|
|  Limited permission is hereby granted to reproduce and modify this	|
|  copyrighted material provided that the resulting code is used only 	|
|  in conjunction with Bentley Systems products under the terms of the	|
|  license agreement provided therein, and that this notice is retained	|
|  in its entirety in any such reproduction or modification.		|
|									|
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|									|
|   msbasic.fdf - MDL-to-BASIC routines
|									|
|   $Workfile:   msbasic.fdf  $
|   $Revision:   1.4  $
|									|
+----------------------------------------------------------------------*/
#if !defined (__msbasicFDF__)
#define       __msbasicFDF__

#if   defined (__BSI__) && !defined (__mdlmkn__)
#include	<mdlbasic.fdf>
#endif

int	    	mdlBasic_getMacroInfo
(
char	    	*macroTaskIdP,      	/* <= TaskId if desired */
char	    	*fullBasicFileNameP,	/* <= macro file name if desired */
int	    	*isLoadedP,	     	/* <= is it loaded? */
char	    	*macroNameP	    	/* => Name of macro to get info on. */
);

int	    	mdlBasic_getPublicVariable
(
void	    	*dataP,		/* <= MDL variable to receive the value */
int	    	dataSize,	/* => size of the MDL variable */
char	    	*variableName	/* => the name of the BASIC variable */
);

int	    	mdlBasic_setPublicVariable
(
void	    	*dataP,		/* => MDL variable from which to obtain value */
int	    	dataSize,	/* => size of MDL variable */
char	    	*variableName	/* => the name of the BASIC variable to receive value */
);

#endif	/* !defined (__msbasicFDF__) */
